#include <arduino-timer.h>

#define ledGruen 8
#define ledBlau 9

bool ledGruenActive = false;
bool ledBlauActive = false;

Timer timerLedGruen = timer_create_default();
Timer timerLedBlau = timer_create_default();

bool lightUpLedGruen(void *) {
  ledGruenActive = !ledGruenActive;
  digitalWrite(ledGruen, ledGruenActive);
  return true;
}

bool lightUpLedBlau(void *) {
  ledBlauActive = !ledBlauActive;
  digitalWrite(ledBlau, ledBlauActive);
  return true;
}

void setup() {
  pinMode(ledGruen, OUTPUT);
  pinMode(ledBlau, OUTPUT);

  timerLedGruen.every(500, lightUpLedGruen);
  timerLedBlau.every(1000, lightUpLedBlau);
}

void loop() {
  timerLedGruen.tick();
  timerLedBlau.tick();
}
