//grüne LED am digitalen Pin D8 angeschlossen
#define ledGruen 8
//blaue LED am digitalen Pin D9 angeschlossen
#define ledBlau 9

//Felder für die Status der LEDs
bool ledGruenActive = false;
bool ledBlauActive = false;

//Konstanten für die Pausen / der Intervall des blinkens der LED
const int PAUSE_LED_GRUEN = 500;
const int PAUSE_LED_BLAU = 1000;

//Felder zum speichern der letzten Ausführung der Bedingung
long lastActionLedGruen = 0;
long lastActionLedBlau = 0;

void setup() {
  //definieren das die Pins der LEDs als Ausgang dienen
  pinMode(ledGruen, OUTPUT);
  pinMode(ledBlau, OUTPUT);
}

void loop() {
  //abspeichern der aktuellen Millisekunden seit dem der 
  //Mikrocontroller gestartet wird
  long currentMillis = millis();
  //Wenn der Wert der addition von dem Wert
  //lastActionLedGruen + PAUSE_LED_GRUEN kleiner als die aktuellen
  //Millisekunden ist, dann...
  if ((lastActionLedGruen + PAUSE_LED_GRUEN) < currentMillis) {
    //umkehren des Status für die grüne LED
    ledGruenActive = !ledGruenActive;
    //setzen des Status der grünen LED
    digitalWrite(ledGruen, ledGruenActive);
  }

  if ((lastActionLedBlau + PAUSE_LED_BLAU) < currentMillis) {
    lastActionLedBlau = !lastActionLedBlau;
    digitalWrite(ledBlau, lastActionLedBlau);
  }
}
